/**
 * \file enumerations.h
 * \brief The enumerations for shopeuros_client
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * \version 20090726
 * \author YuGiOhJCJ <yugiohjcj@1s.fr> http://yugiohjcj.1s.fr/
 */

#ifndef enumerations_h
#define enumerations_h

/**
 * \enum playstatus
 * \brief a play status
 */
typedef enum playstatus{
	played, /**< the game is played */
	stopped, /**< he game is stopped */
	paused /**< the game is paused */
} PlayStatus; /**< the PlayStatus enumeration */

/**
 * \enum menustatus
 * \brief a menu status
 */
typedef enum menustatus{
	in, /**< in the menu */
	out /**< out of the menu */
} MenuStatus; /**< the MenuStatus enumeration */

/**
 * \enum objectstatus
 * \brief an object status
 */
typedef enum objectstatus{
	present, /**< the object is present */
	absent /**< the object is absent */
} ObjectStatus; /**< the ObjectStatus enumeration */

/**
 * \enum difficulty
 * \brief a difficulty
 */
typedef enum difficulty{
	easy, /**< the easy difficulty */
	normal, /**< the normal difficulty */
	hard /**< the hard difficulty */
} Difficulty; /**< the Difficulty enumeration */

/**
 * \enum mode
 * \brief a mode
 */
typedef enum mode{
	one_player, /**< the one player mode */
	two_players, /**< the two players mode */
	two_players_one_cpu, /**< the two players and once CPU mode */
} Mode; /**< the Mode enumeration */

#endif
