/**
 * \file main.h
 * \brief The header for main.c
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * \version 20090726
 * \author YuGiOhJCJ <yugiohjcj@1s.fr> http://yugiohjcj.1s.fr/
 */

#ifndef main_h
#define main_h

#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h> /* For TTF_GetError */
#include "structures.h"
#include "enumerations.h"
#include "functions.h"
#include "menu/menu.h"

/**
 * \fn int main(int argc, char * argv[])
 * \brief the main function
 * \param argc the number of arguments
 * \param argv the arguments
 * \return 0 if good, -1 if bad
 */
int main(int argc, char * argv[]);

#endif
