#!/bin/sh
# YuGiOhJCJ <yugiohjcj@1s.fr>
# http://yugiohjcj.1s.fr/
# 20090726
#
# Add files to the RPM spec file
# ${1} : the folder containing files
# ${2} : the name of the spec file (without the '.spec' extension)

FIND=/usr/bin/find
AWK=/usr/bin/awk
SPEC_FILE=RPM/SPECS/${2}.spec

echo "%defattr(-,root,root,0755)" >> ${SPEC_FILE}

for each in `${FIND} ${1} -type f -perm 644 | ${AWK} -F "${1}" '{ print "/"$NF }'`; do
	echo "%attr(0644,root,root) ${each}" >> ${SPEC_FILE}
done

for each in `${FIND} ${1} -type f -perm 755 | ${AWK} -F "${1}" '{ print "/"$NF }'`; do
	echo "${each}" >> ${SPEC_FILE}
done
